Bug 245663 - sysutils/py-diffoscope: Update to 144
Summary: sysutils/py-diffoscope: Update to 144
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
: 245664 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-04-16 09:48 UTC by Michael Osipov
Modified: 2020-05-18 07:35 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly+


Attachments
Patch against /usr/ports (2.64 KB, patch)
2020-04-16 09:48 UTC, Michael Osipov
no flags Details | Diff
sysutils/py-diffoscope: Update to 144 (3.07 KB, patch)
2020-05-17 12:33 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2020-04-16 09:48:27 UTC
Created attachment 213458 [details]
Patch against /usr/ports

Attached is a patch. I have also removed the patch I have provided back then. It has been upstreamed: https://salsa.debian.org/reproducible-builds/diffoscope/-/issues/97
Comment 1 Michael Osipov 2020-04-16 13:35:04 UTC
*** Bug 245664 has been marked as a duplicate of this bug. ***
Comment 2 Fabian Keil 2020-05-17 12:33:59 UTC
Created attachment 214584 [details]
sysutils/py-diffoscope: Update to 144

The attached patch updates sysutils/py-diffoscope to to 144.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-05-18 01:50:59 UTC
Thank you Michael, will look to land this shortly.

For any future changes/additions you might think about, we might also think about creating OPTIONS for each of the optional comparators to allow the dependency set to be customised by the user
Comment 4 commit-hook freebsd_committer 2020-05-18 03:13:52 UTC
A commit references this bug:

Author: koobs
Date: Mon May 18 03:13:17 UTC 2020
New revision: 535710
URL: https://svnweb.freebsd.org/changeset/ports/535710

Log:
  sysutils/py-diffoscope: Update to 144

    - Remove diffoscope/comparators/zip.py patch, upstreamed
    - Update Python <version-spec> to match upstream support [1]

  [1] https://salsa.debian.org/reproducible-builds/diffoscope/-/issues/117

  PR:		245663
  Submitted by:	Michael Osipov <michael dot osipov siemens com>
  MFH:		2020Q2 (blanket: bugfix releases)

Changes:
  head/sysutils/py-diffoscope/Makefile
  head/sysutils/py-diffoscope/distinfo
  head/sysutils/py-diffoscope/files/
Comment 5 commit-hook freebsd_committer 2020-05-18 03:17:56 UTC
A commit references this bug:

Author: koobs
Date: Mon May 18 03:17:52 UTC 2020
New revision: 535713
URL: https://svnweb.freebsd.org/changeset/ports/535713

Log:
  MFH: r535710 sysutils/py-diffoscope: Update to 144

    - Remove diffoscope/comparators/zip.py patch, upstreamed
    - Update Python <version-spec> to match upstream support [1]

  [1] https://salsa.debian.org/reproducible-builds/diffoscope/-/issues/117

  PR:		245663
  Submitted by:	Michael Osipov <michael dot osipov siemens com>

  Approved by:	ports-secteam (blanket: bugfix release(s))

Changes:
_U  branches/2020Q2/
  branches/2020Q2/sysutils/py-diffoscope/Makefile
  branches/2020Q2/sysutils/py-diffoscope/distinfo
  branches/2020Q2/sysutils/py-diffoscope/files/
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-05-18 03:19:07 UTC
Committed and merged, thank you Michael!
Comment 7 Michael Osipov 2020-05-18 07:35:06 UTC
(In reply to Kubilay Kocak from comment #3)

I have crated this (https://salsa.debian.org/reproducible-builds/diffoscope/-/issues/98) in the first place. Before this one isn't resolved, one cannot make any additional changes to the port.

Unfortunately, I still waiting for my port changes to be committed before making progress with ports I do not maintain myself.